      PARAMETER (Nblocks=NROW)
      PARAMETER (Levels   = 1)
      PARAMETER (Lblock   = 2**(Levels-1))
      PARAMETER (NSPEC = NROW/2)   ! No waves shorter than Ny
      PARAMETER (marr  = NROW+1)   ! Arrays for FFT
      PARAMETER (mf67  = NROW/2)
      COMMON / MASK/ iMask(NROW,NROW,NROW) ! Refinement Mask
      COMMON / GRID/ GRX(NROW,NROW,NROW,Levels),   
     +        GRY(NROW,NROW,NROW,Levels),    ! Spectrum of Perurbations
     +        GRZ(NROW,NROW,NROW,Levels)
      COMMON / BUFF /	XPt(Nmaxpart),YPt(Nmaxpart),ZPt(Nmaxpart),
     +			VXt(Nmaxpart),VYt(Nmaxpart),VZt(Nmaxpart)
      COMMON / AMPLTS / amplt(Levels),alpha(Levels),
     +                VCONS(Levels), XCONS(Levels),
     +                Delta(Levels), Delta2(Levels),iNROW(Levels)









